#ifndef COMPLEX_H
#define COMPLEX_H
#include <iostream>

// ---------------------------------------------------------------------------
// Klasse zum Rechnen mit komplexen Zahlen
// ---------------------------------------------------------------------------
class Complex
{
private:
    double re, im;

public:
    Complex();
    Complex(double real);
    Complex(double real, double imag);

    ~Complex();

    double Real();
    double Imag();

    void Set(double real, double imag);
    double Abs();
    double Arg();
};

// ---------------------------------------------------------------------------
// Freie Funktionen bzw. Operatoren zum Rechnen mit komplexen Zahlen
// ---------------------------------------------------------------------------
Complex operator+ (Complex a, Complex b);
Complex operator- (Complex a, Complex b);
Complex operator* (Complex a, Complex b);
Complex operator/ (Complex a, Complex b);

std::ostream& operator<< (std::ostream& strm, Complex c);
std::istream& operator>> (std::istream& strm, Complex& c);
Complex exp(Complex z);

#endif // COMPLEX_H
